package com.mdd.admin.validate.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统部门搜索参数")
public class SystemDeptSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("名称")
   private String name;
   @ApiModelProperty("是否停用")
   private Integer isStop;

   public String getName() {
      return this.name;
   }

   public Integer getIsStop() {
      return this.isStop;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setIsStop(Integer isStop) {
      this.isStop = isStop;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemDeptSearchValidate)) {
         return false;
      } else {
         SystemDeptSearchValidate other = (SystemDeptSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$isStop = this.getIsStop();
            Object other$isStop = other.getIsStop();
            if (this$isStop == null) {
               if (other$isStop != null) {
                  return false;
               }
            } else if (!this$isStop.equals(other$isStop)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemDeptSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $isStop = this.getIsStop();
      result = result * 59 + ($isStop == null ? 43 : $isStop.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "SystemDeptSearchValidate(name=" + this.getName() + ", isStop=" + this.getIsStop() + ")";
   }
}
